# Understand your general resources

You'll need to know how to [Get your access token](/api/start/demo-account/get-your-access-token.md) before you can follow the instructions in this section.

## Organizational structure

When you're set up within Certn, you belong to an organization. This organization has a few levels of hierarchy:

* [Superteams](/api/api-reference/general.md#superteams)
  * [Teams](/api/api-reference/general.md#teams)
    * [Users](/api/api-reference/general.md#users)

Superteams can have multiple Teams and Teams can have multiple Users. When you're added to Certn, you're linked to a Team, which is linked to a Superteam.

### Authorization header

You'll need an [Authorization header](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Authorization)![](/files/i1X0t7ez6Vlx9HiwQQXC) with a valid Bearer token. This token is your access token you retrieved according to [Get your access token](/api/start/demo-account/get-your-access-token.md).

* Replace `access_token` with your API access token:

```python
{ "Authorization": "Bearer {access_token}" }
```

### Retrieve your Users

In the beginning, you'll be the only User in your organizational account. Let's retrieve your users by making a GET request to our `/users/` endpoint.

{% tabs %}
{% tab title="Python" %}

```python
import requests

# Use your access token in the header.
headers = { "Authorization": f"Bearer {access_token}" }

# URL to retrieve a list of your users
url = "https://demo-api.certn.co/api/v1/users/"

# Send the HTTP request to the API via GET
response = requests.get(url, headers=headers)

############### Optional ###############

# Brings errors to the forefront
response.raise_for_status()

# Writes the contents of the response in a file named "user_list.json"
with open("user_list.json", "w") as f:
    f.write(response.text)

############# End Optional #############
```

{% endtab %}
{% endtabs %}

In this example, we saved the results of the call to a new file named `user_list.json`.‌

With everything set properly and a good internet connection, you should receive a response status of `200 OK`.

{% hint style="success" %}
**200 OK**

`{`

&#x20;   `[...]`

&#x20;   `"results": [`

&#x20;       `{`\
&#x20;           `"id": "string<uuid>",`\
&#x20;           `[...]`

&#x20;       `},`

&#x20;   `]`

`}`
{% endhint %}

In the `user_list.json` file, you should see one user listed in the results: it's you! Look for the `id` field for your User, and copy that value. We use [universally unique identifiers (UUIDs)](https://en.wikipedia.org/wiki/Universally_unique_identifier)![](/files/i1X0t7ez6Vlx9HiwQQXC) for ids, so it'll be formatted like this:`123e4567-e89b-12d3-a456-426614174000.`You'll need this to [Create your first application](/api/start/demo-account/send-request.md).

For more details on the structure of the User list response, see [Settings and packages](/api/api-reference/general.md#retrieve-a-list-of-users).&#x20;

## Errors <a href="#errors" id="errors"></a>

‌Errors are a relatively common occurrence when working with APIs. It's always good to know how to prevent them and what to do when they arise.‌

See Error Codes for details on types of errors and how to resolve them.

{% content-ref url="/pages/-MbvYXtBnywVTALaZNg\_" %}
[Error codes](/api/api-reference/resources/error-codes.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.certn.co/api/start/demo-account/understand-your-general-resources.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
